#!/bin/bash

# This is the main installer for the linux driver for the Cybernetyx Sensor.
# Run this script as root (superuser).
#

CURDIR=`pwd`
A=`whoami`

if [ $A != 'root' ]; then
   echo "You have to be root to run this script"
   exit 1;
fi

homefolder="/usr/local/bin/eyeris/"

mkdir $homefolder
chmod a+x eyeris-menu
chmod a+x eyeris-main
chmod a+x eyeris-sdk
chmod a+x multipointer-demo
chmod a+x show-eyeris-menu.sh

mkdir $homefolder
mkdir /var/eyeris
chmod -R 777 /var/eyeris

cp eyeris-menu $homefolder
cp eyeris-main $homefolder
cp eyeris-sdk $homefolder
cp multipointer-demo $homefolder
cp show-eyeris-menu.sh $homefolder
cp show-eyeris-menu.png $homefolder
cp -R config $homefolder

cp libopencv_core.so.3.4 /usr/lib/libopencv_core.so.3.4
cp libopencv_highgui.so.3.4 /usr/lib/libopencv_highgui.so.3.4
cp libopencv_imgproc.so.3.4 /usr/lib/libopencv_imgproc.so.3.4
cp libopencv_imgcodecs.so.3.4 /usr/lib/libopencv_imgcodecs.so.3.4
#cp -R ../embedded-qt-libs/* /usr/lib

apt-get update
#apt-get install libstdc++6
apt-get install libqt5declarative5
#apt-get install qtdeclarative5-qtquick2-plugin
#apt-get install qml-module-qtquick-controls

create_udev_rules() {
	echo "# Cybernetyx USB Sensor driver (C) Cybernetyx" > 88-cyusb.rules
	echo "# Cybernetyx USB vendor ID = 0x04b4" >> 88-cyusb.rules

	echo 'KERNEL=="*", SUBSYSTEM=="usb", ENV{DEVTYPE}=="usb_device", ACTION=="add", ATTR{idVendor}=="04b4", MODE="666", TAG="cyusb_dev"' >> 88-cyusb.rules
}

create_udev_rules
cp 88-cyusb.rules /etc/udev/rules.d/

# Set the CYUSB_ROOT variable to point to the current directory.
echo "" >> /etc/profile
echo "# Cyberneytx USB Sensor: Root directory" >> /etc/profile
echo "export CYUSB_ROOT=$CURDIR" >> /etc/profile
echo "" >> /etc/profile

rm 88-cyusb.rules
